public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/elasticsearch/
Date: Sun,  5 May 2024 05:12:04 +0000 (UTC)	[thread overview]
Message-ID: <1714885896.680f6d507f4960c360929b4bea31469bd48b1b55.mgorny@gentoo> (raw)

commit:     680f6d507f4960c360929b4bea31469bd48b1b55
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May  5 05:11:36 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May  5 05:11:36 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=680f6d50

dev-python/elasticsearch: Bump to 8.13.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/elasticsearch/Manifest                  |  1 +
 .../elasticsearch/elasticsearch-8.13.1.ebuild      | 83 ++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/dev-python/elasticsearch/Manifest b/dev-python/elasticsearch/Manifest
index dba38ac869ae..19097361c810 100644
--- a/dev-python/elasticsearch/Manifest
+++ b/dev-python/elasticsearch/Manifest
@@ -1 +1,2 @@
 DIST elasticsearch-py-8.13.0.gh.tar.gz 1052777 BLAKE2B 90d6677fe40a635f33e37b4da90c0d8c6d3cde10a815932ee91b5e411162322edc22d13fe231b5d514f350a2b448ce1722e75426b5b5e08b711f3193d2963453 SHA512 fee1ba95d65be424f4ffeb65898bbafd5860358864d9706c82be663139e4543bce54c57bb21188c5ab6cdf5e15323cb1698bfb17715a7be38f844d3781840c97
+DIST elasticsearch-py-8.13.1.gh.tar.gz 1074911 BLAKE2B 4ba5f728690274ab074fa17993c59fb41d4493bc05b69d4281db56c274ddd522124c96046248bdecf7fc362e624853d7a31fac0a12d952faf0e38296d62c89c9 SHA512 ab5b3b67e70588c31a2b62fe03dd5aa0320da36b4a669986207db5982fabfb8fa800d181be958505bb264a9fb72ab33a9d5167779300e93d0874e9105e990891

diff --git a/dev-python/elasticsearch/elasticsearch-8.13.1.ebuild b/dev-python/elasticsearch/elasticsearch-8.13.1.ebuild
new file mode 100644
index 000000000000..386e158ec30f
--- /dev/null
+++ b/dev-python/elasticsearch/elasticsearch-8.13.1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit distutils-r1
+
+MY_P="elasticsearch-py-${PV}"
+DESCRIPTION="Official Elasticsearch client library for Python"
+HOMEPAGE="
+	https://ela.st/es-python
+	https://github.com/elastic/elasticsearch-py/
+	https://pypi.org/project/elasticsearch/
+"
+SRC_URI="
+	https://github.com/elastic/elasticsearch-py/archive/v${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+	<dev-python/aiohttp-4[${PYTHON_USEDEP}]
+	>=dev-python/aiohttp-3[${PYTHON_USEDEP}]
+	<dev-python/elastic-transport-9[${PYTHON_USEDEP}]
+	>=dev-python/elastic-transport-8.13[${PYTHON_USEDEP}]
+	>=dev-python/orjson-3[${PYTHON_USEDEP}]
+	<dev-python/requests-3[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		dev-python/mapbox-vector-tile[${PYTHON_USEDEP}]
+		dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/opentelemetry-api[${PYTHON_USEDEP}]
+		dev-python/opentelemetry-sdk[${PYTHON_USEDEP}]
+		dev-python/pandas[${PYTHON_USEDEP}]
+		dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+		dev-python/python-dateutil[${PYTHON_USEDEP}]
+		>=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+		dev-python/unasync[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_sphinx docs/sphinx \
+	dev-python/sphinx-autodoc-typehints \
+	dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+src_prepare() {
+	# https://github.com/elastic/elasticsearch-py/pull/2552/
+	sed -i -e '/float_/d' elasticsearch/serializer.py \
+		test_elasticsearch/test_serializer.py || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local EPYTEST_IGNORE=(
+		# REST api tests are a black hole for effort. It downloads the tests
+		# so its an ever moving target. It also requires effort to blacklist
+		# tests for apis which are license restricted.
+		"test_elasticsearch/test_server/test_rest_api_spec.py"
+		# Counting deprecation warnings from python is bound to fail even
+		# if all are fixed in this package. Not worth it.
+		"test_elasticsearch/test_client/test_deprecated_options.py"
+		# Running daemon for tests is finicky and upstream CI fails at it
+		# as well.
+		"test_elasticsearch/test_server/"
+		"test_elasticsearch/test_async/test_server/"
+	)
+
+	local -x TEST_WITH_OTEL=1
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	epytest -o addopts= -p asyncio
+}


             reply	other threads:[~2024-05-05  5:12 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-05  5:12 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-28 11:32 [gentoo-commits] repo/gentoo:master commit in: dev-python/elasticsearch/ Arthur Zamarin
2024-09-10 16:28 Michał Górny
2024-08-31 10:45 Arthur Zamarin
2024-08-14  8:30 Michał Górny
2024-08-14  6:05 Michał Górny
2024-07-06  8:33 Michał Górny
2024-07-06  6:40 Sam James
2024-06-16  6:48 Michał Górny
2024-06-12  7:42 Michał Górny
2024-06-12  6:29 Arthur Zamarin
2024-05-27  4:17 Michał Górny
2024-05-22  9:10 Michał Górny
2024-05-22  9:05 Michał Górny
2024-04-14 19:10 Michał Górny
2024-04-14 18:39 Arthur Zamarin
2024-04-14 18:27 Arthur Zamarin
2024-04-14 18:02 Arthur Zamarin
2024-03-29 15:28 Michał Górny
2024-03-09 14:19 Michał Górny
2024-02-23  3:40 Michał Górny
2024-02-03 11:44 Michał Górny
2024-02-03 10:52 Sam James
2024-01-20 19:54 Arthur Zamarin
2024-01-19 18:28 Arthur Zamarin
2023-12-24  5:59 Michał Górny
2023-12-24  1:02 Sam James
2023-12-09  6:53 Michał Górny
2023-12-02 10:43 Michał Górny
2023-11-29 11:15 Michał Górny
2023-11-13 17:40 Michał Górny
2023-10-30 19:01 Michał Górny
2023-10-06 17:05 Arthur Zamarin
2023-09-24 22:08 Sam James
2023-09-01 12:19 Sam James
2023-08-20 17:37 Arthur Zamarin
2023-07-25  5:20 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1714885896.680f6d507f4960c360929b4bea31469bd48b1b55.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox